Name:           maven-ejb-plugin
Version:        2.3
Release:        4%{?dist}
Summary:        Maven EJB Plugin

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-ejb-plugin/
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-plugin-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-archiver
BuildRequires: plexus-utils
BuildRequires: plexus-archiver
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-surefire-provider-junit

Requires:       maven
Requires:       java
Requires:       jpackage-utils
Requires: maven-archiver
Requires: plexus-utils
Requires: plexus-archiver
Requires: maven-plugin-testing-harness

Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

Obsoletes: maven2-plugin-ejb <= 0:2.0.8
Provides: maven2-plugin-ejb = 0:%{version}-%{release}

%description
Generates a J2EE Enterprise JavaBean (EJB) file 
as well as the associated client JAR.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q 

%build
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

%add_to_maven_depmap org.apache.maven.plugins maven-ejb-plugin %{version} JPP maven-ejb-plugin

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Alexander Kurtakov <akurtako@redhat.com> 2.3-3
- Build with maven 3.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 14 2010 Alexander Kurtakov <akurtako@redhat.com> 2.3-1
- Update to 2.3.

* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 2.2.1-5
- Skip tests

* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 2.2.1-4
- Add missing requires maven2

* Wed Jun 02 2010 Hui Wang <huwang@redhat.com> - 2.2.1-3
- Changed epoch 1 to epoch 0 in provides

* Wed Jun 02 2010 Hui Wang <huwang@redhat.com> - 2.2.1-2
- Added epoch 1 to provides
- Fixed description line length
- Fixed tarball generation svn instruction

* Tue Jun 01 2010 Hui Wang <huwang@redhat.com> - 2.2.1-1
- Initial version of the package
